%define anolis_release 1
Name:		xcb-util-renderutil
Version:	0.3.10
Release:	%{anolis_release}%{?dist}
Summary:	Convenience functions for the Render extension
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
BuildRequires:	make
BuildRequires:  gcc
BuildRequires:	pkgconfig(xcb) >= 1.4
BuildRequires:	pkgconfig(xcb-render)
BuildRequires:	m4

%description
XCB util-renderutil module provides the following library:

  - renderutil: Convenience functions for the Render extension.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package 	devel
Summary:	Development and header files for xcb-util-renderutil
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-renderutil.


%prep
%setup -q


%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build


%check
%make_build check


%install
%make_install

%files
%license COPYING
%{_libdir}/*.so.*

%files doc
%doc README.md

%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Thu Nov 17 2022 Funda Wang <fundawang@yeah.net> - 0.3.10-1
- New version 0.3.10

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.9-2
- add doc package

* Wed Jul 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.9-1
- Init from upstream version 0.3.9
